Package com.stardog.stark.io

# Class CompressedRDFFormat

java.lang.Object
com.stardog.stark.io.CompressedRDFFormat

All Implemented Interfaces:
  `FileFormat`, `RDFFormat`

public final class CompressedRDFFormat extends Object implements RDFFormat

Class to represent the format of serialized RDF that is also compressed

Since:
  1.0
Version:
  1.0
Author:
  Michael Grove

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.stardog.stark.io.FileFormat

  `FileFormat.Compression`

  ## Nested classes/interfaces inherited from interface com.stardog.stark.io.RDFFormat

  `RDFFormat.BinaryRDFFormat`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompressedRDFFormat(RDFFormat theFormat, FileFormat.Compression theCompression)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RDFFormat`
  `baseFormat()`
  Return the base format.
  `Charset`
  `charset()`
  The charset used by the format
  `FileFormat.Compression`
  `compression()`
  Return the compression type of this format
  `String`
  `defaultExtension()`
  Return the default file extension for this format
  `String`
  `defaultMimeType()`
  Return the default mimetype for this format
  `Stream<String>`
  `extensions()`
  Return all supported file format extensions
  `Stream<String>`
  `mimeTypes()`
  Return all supported mimetypes of this format
  `String`
  `name()`
  The friendly format name
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CompressedRDFFormat

    public CompressedRDFFormat(@Nonnull RDFFormat theFormat, @Nonnull FileFormat.Compression theCompression)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### baseFormat

    @Nonnull public RDFFormat baseFormat()
    Return the base format. For example, a ttl file compressed using gzip compression would have ttl as the base format and the compression as `FileFormat.Compression.GZIP`. Some compressions, notably ZIP, don't have a notion of a base format since they also act as an archive in which case this is meaningless.
    Returns:
      the base format

  - ### compression

    @Nonnull public FileFormat.Compression compression()
    Return the compression type of this format
    Returns:
      the compression

  - ### name

    @Nonnull public String name()
    The friendly format name
    Specified by:
      `name` in interface `FileFormat`
    Returns:
      the name

  - ### mimeTypes

    @Nonnull public Stream<String> mimeTypes()
    Return all supported mimetypes of this format
    Specified by:
      `mimeTypes` in interface `FileFormat`
    Returns:
      the mimetypes

  - ### extensions

    @Nonnull public Stream<String> extensions()
    Return all supported file format extensions
    Specified by:
      `extensions` in interface `FileFormat`
    Returns:
      the extensions

  - ### defaultMimeType

    @Nonnull public String defaultMimeType()
    Return the default mimetype for this format
    Specified by:
      `defaultMimeType` in interface `FileFormat`
    Returns:
      the default mimetype

  - ### defaultExtension

    @Nonnull public String defaultExtension()
    Return the default file extension for this format
    Specified by:
      `defaultExtension` in interface `FileFormat`
    Returns:
      the default file extension

  - ### charset

    @Nonnull public Charset charset()
    The charset used by the format
    Specified by:
      `charset` in interface `FileFormat`
    Returns:
      the charset